Name: jpgraph
Version: 3.0.7
Release: 3.1
Summary: Object-Oriented Graph creating library for PHP
Group: Development/Languages
License: QPL 1.0 (Qt Free License), http://www.opensource.org/licenses/qtpl.php
URL: http://jpgraph.net/
Vendor: Stylite GmbH, http://www.stylite.de/
Packager: Ralf Becker <rb@stylite.de>
Prefix: /usr/share

%if 0%{?suse_version}
	%define php php5
%else
	%define php php
%endif

Source: jpgraph-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot

Buildarch: noarch

Requires: %{php} >= 5.1.2
Requires: %{php}-gd

%description
JpGraph is a Object-Oriented Graph creating library for PHP.
The library is completely written in PHP and ready to be used in any
PHP scripts (both CGI/APXS/CLI versions of PHP are supported).

The library can be used to create numerous types of graphs either on-line
or written to a file. JpGraph makes it easy to draw both "quick and dirty"
graphs with a minimum of code as well as complex graphs which requires a
very fine grained control. The library assigns context sensitive default
values for most of the parameters which minimizes the learning curve.
The features are there when you need them - not as an obstacle to overcome!

%prep
%setup -c -n jpgraph-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT%{prefix}/jpgraph
find . -name "*~" -exec rm {} \;
cp -aRf * $RPM_BUILD_ROOT%{prefix}/jpgraph

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{prefix}/jpgraph
%changelog
* Fri Sep 17 2010 Ralf Becker <rb@stylite.de>
- version 3.0.7-1
- upstream version 3.0.7
